# WOK
TKWOK
WOKDeliv

# WOKDeliv_DeliveryArchive Class Reference

Process Archives for delivery units
.

`#include <WOKDeliv_DeliveryArchive.hxx>`

Inheritance diagram for WOKDeliv_DeliveryArchive:

[legend]

## Public Member Functions

Standard_EXPORT | WOKDeliv_DeliveryArchive (const Handle(WOKMake_BuildProcess)&aprocess, const Handle(WOKernel_DevUnit)&aunit, const Handle(TCollection_HAsciiString)&acode, const Standard_Boolean checked, const Standard_Boolean hidden)
Standard_EXPORT void | SetList ()
Standard_EXPORT Standard_Boolean | NeedsObjects () const
Standard_EXPORT Handle_WOKMake_Step | CreateSubStep (const Handle(WOKernel_DevUnit)&asource, const Standard_Boolean needobj) const
Standard_EXPORT void | ComputeOutputLIB (const Handle(WOKernel_DevUnit)&asource, const Handle(WOKMake_InputFile)&inComp)
Standard_EXPORT Standard_Boolean | IsAvailable (const Handle(WOKernel_DevUnit)&asource) const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT WOKDeliv_DeliveryArchive::WOKDeliv_DeliveryArchive | ( | const Handle(WOKMake_BuildProcess)& | aprocess,
|  | const Handle(WOKernel_DevUnit)& | aunit,
|  | const Handle(TCollection_HAsciiString)& | acode,
|  | const Standard_Boolean | checked,
|  | const Standard_Boolean | hidden
| ) |

## Member Function Documentation

Standard_EXPORT void WOKDeliv_DeliveryArchive::ComputeOutputLIB | ( | const Handle(WOKernel_DevUnit)& | asource,
|  | const Handle(WOKMake_InputFile)& | inComp
| ) | `[virtual]`

| Implements WOKDeliv_DeliveryLIB.

Standard_EXPORT Handle_WOKMake_Step WOKDeliv_DeliveryArchive::CreateSubStep | ( | const Handle(WOKernel_DevUnit)& | asource,
|  | const Standard_Boolean | needobj
| ) | const

Standard_EXPORT const WOKDeliv_DeliveryArchive::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from WOKDeliv_DeliveryLIB.

Standard_EXPORT Standard_Boolean WOKDeliv_DeliveryArchive::IsAvailable | ( | const Handle(WOKernel_DevUnit)& | asource | ) | const`[virtual]`

| Implements WOKDeliv_DeliveryLIB.

Standard_EXPORT Standard_Boolean WOKDeliv_DeliveryArchive::NeedsObjects | ( |  | ) | const`[virtual]`

| Implements WOKDeliv_DeliveryLIB.

Standard_EXPORT void WOKDeliv_DeliveryArchive::SetList | ( |  | ) | `[virtual]`

| Implements WOKDeliv_DeliveryLIB.

The documentation for this class was generated from the following file:

- WOKDeliv_DeliveryArchive.hxx